Subject: Re: [PATCH docs v3] docs: maintainer: document expectations of small time maintainers

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Jul 2023 14:37:46 -0700

On Thu, 20 Jul 2023 16:15:26 +0100 Conor Dooley wrote:
> ..I noticed that none of these sections address actually testing the
> code they're responsible for on a (semi-)regular basis. Sure, that comes
> as part of reviewing the patches for their code, but changes to other
> subsystems that a driver/feature maintainer probably would not have been
> CCed on may cause problems for the code they maintain.
> If we are adding a doc about best-practice for maintainers, I think we
> should be encouraging people to test regularly.

I think our testing story is too shaky to make that a requirement.
Differently put - I was never able to get good upstream testing running
when I worked for a vendor myself so I wouldn't know how to draw 
the lines.